package com.yihu.jw.entity.hospital.prescription;

import javax.persistence.*;
import javax.persistence.criteria.From;
import java.math.BigDecimal;
import java.util.Date;

/*
 * 检查明细
 */
@Entity
@Table(name = "V_MS_YJ02")
public class YkMsYj02DO {
    private Integer sbxh;//id
    private Integer yjxh ;//Ms_yi01里的yjxh
    private Integer ylxh;//组套明细里关联VEMR_ORDER_ITEM 里面  ITEM_CODE
    private Integer xmlx;//SELECT XMLX  javax.persistence.criteria.From GY_YLSF Where FYXH =l l_fyxh   查询后结果写入
    private Integer yjzx;//明细第一条是1，其它是0
    private BigDecimal Yldj;//单价  select * from  portal_his.gy_ylsf@YKZXTEST where fyxh = l l_fyxh
    private Integer ylsl;//数量 = 取项目明细 * 医生填的数量  参考截图   fysl
    private BigDecimal hjje;//	合计金额
    private Integer fygb;//SELECT fygb From GY_YLSF Where FYXH =l l_fyxh  查询后结果写入
    private Integer zfbl;//	默认1
    private Integer zxpb;//默认0
    private Integer zjflag;//	默认0 传输标记
    private String bzxx;
    private Integer tcylxh;
    private Integer czgh;
    private Date czrq;
    @Basic
    @Id
    @Column(name = "SBXH")
    public Integer getSbxh() {
        return sbxh;
    }

    public void setSbxh(Integer sbxh) {
        this.sbxh = sbxh;
    }
    @Basic
    @Column(name = "YJXH")
    public Integer getYjxh() {
        return yjxh;
    }

    public void setYjxh(Integer yjxh) {
        this.yjxh = yjxh;
    }
    @Basic
    @Column(name = "YLXH")
    public Integer getYlxh() {
        return ylxh;
    }

    public void setYlxh(Integer ylxh) {
        this.ylxh = ylxh;
    }
    @Basic
    @Column(name = "XMLX")
    public Integer getXmlx() {
        return xmlx;
    }

    public void setXmlx(Integer xmlx) {
        this.xmlx = xmlx;
    }
    @Basic
    @Column(name = "YJZX")
    public Integer getYjzx() {
        return yjzx;
    }

    public void setYjzx(Integer yjzx) {
        this.yjzx = yjzx;
    }
    @Basic
    @Column(name = "YLDJ")
    public BigDecimal getYldj() {
        return Yldj;
    }

    public void setYldj(BigDecimal yldj) {
        Yldj = yldj;
    }
    @Basic
    @Column(name = "YLSL")
    public Integer getYlsl() {
        return ylsl;
    }

    public void setYlsl(Integer ylsl) {
        this.ylsl = ylsl;
    }
    @Basic
    @Column(name = "HJJE")
    public BigDecimal getHjje() {
        return hjje;
    }

    public void setHjje(BigDecimal hjje) {
        this.hjje = hjje;
    }
    @Basic
    @Column(name = "FYGB")
    public Integer getFygb() {
        return fygb;
    }

    public void setFygb(Integer fygb) {
        this.fygb = fygb;
    }
    @Basic
    @Column(name = "ZFBL")
    public Integer getZfbl() {
        return zfbl;
    }

    public void setZfbl(Integer zfbl) {
        this.zfbl = zfbl;
    }
    @Basic
    @Column(name = "ZXPB")
    public Integer getZxpb() {
        return zxpb;
    }

    public void setZxpb(Integer zxpb) {
        this.zxpb = zxpb;
    }
    @Basic
    @Column(name = "ZJFLAG")
    public Integer getZjflag() {
        return zjflag;
    }

    public void setZjflag(Integer zjflag) {
        this.zjflag = zjflag;
    }

    @Basic
    @Column(name = "BZXX")
    public String getBzxx() {
        return bzxx;
    }

    public void setBzxx(String bzxx) {
        this.bzxx = bzxx;
    }

    @Basic
    @Column(name = "TCYLXH")
    public Integer getTcylxh() {
        return tcylxh;
    }

    public void setTcylxh(Integer tcylxh) {
        this.tcylxh = tcylxh;
    }

    @Basic
    @Column(name = "CZGH")
    public Integer getCzgh() {
        return czgh;
    }

    public void setCzgh(Integer czgh) {
        this.czgh = czgh;
    }

    @Basic
    @Column(name = "CZRQ")
    public Date getCzrq() {
        return czrq;
    }

    public void setCzrq(Date czrq) {
        this.czrq = czrq;
    }
}
